### A free/open-source library for quantitative finance

Classes
ql/math/optimization/leastsquare.hpp File Reference

Least square cost function. More...

`#include <ql/math/optimization/problem.hpp>`
`#include <ql/math/optimization/conjugategradient.hpp>`
`#include <ql/math/matrix.hpp>`
Include dependency graph for leastsquare.hpp:

## Classes

class | LeastSquareProblem
| Base class for least square problem. More...
class | LeastSquareFunction
| Cost function for least-square problems. More...
class | NonLinearLeastSquare
| Non-linear least-square method. More...

## Detailed Description

Least square cost function.